Berkeley DB version 4.2.52

## com.sleepycat.db
Interface DbEnvFeedbackHandler

public interface DbEnvFeedbackHandler

The DbEnvFeedbackHandler interface is used by the DbEnv.setFeedback method. This interface defines the application-specific function to be called to to report Berkeley DB operation progress.

Method Summary
`void` `feedback(DbEnv dbenv, int opcode, int percent)` The DbEnvFeedbackHandler interface is used by the DbEnv.setFeedback method.

Method Detail

### feedback

    public void feedback(DbEnv dbenv,
                         int opcode,
                         int percent)

  The DbEnvFeedbackHandler interface is used by the DbEnv.setFeedback method. This interface defines the application-specific function to be called to to report Berkeley DB operation progress.

  Parameters:
    `dbenv` - a reference to the enclosing database environment.
    `opcode` - an operation code. The opcode parameter may take on any of the following values:
    - `Db.DB_RECOVER`

      The environment is being recovered.

    `percent` - the percent of the operation that has been completed, specified as an integer value between 0 and 100.

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.